public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-systemd/
Date: Tue, 27 Sep 2022 17:57:58 +0000 (UTC)	[thread overview]
Message-ID: <1664301469.bb31860c1566203959295fdd019f56964b3a531d.sam@gentoo> (raw)

commit:     bb31860c1566203959295fdd019f56964b3a531d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 27 17:57:31 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Sep 27 17:57:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb31860c

dev-python/python-systemd: add 235

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/python-systemd/Manifest                 |  1 +
 .../python-systemd/python-systemd-235.ebuild       | 35 ++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/python-systemd/Manifest b/dev-python/python-systemd/Manifest
index ea4a30d22aba..98ada322756b 100644
--- a/dev-python/python-systemd/Manifest
+++ b/dev-python/python-systemd/Manifest
@@ -1 +1,2 @@
 DIST python-systemd-234.tar.gz 53900 BLAKE2B 2658ee7083036ed8259e5f4ad0714ea15227ee836ad34c7fbbdb55dd9df48751b8d9998350d789b4f47e78fe7b4a7134e12d637e5a6ebeb29a0b31e5a4575d91 SHA512 164e34ba46827711e9c6ff9ed58b2706d9a22abfc7001de030ed7d463d8ddf783eb5fee93b207c29950a3c566018cc3f1a21a549421cf3e05c1287b433367eb2
+DIST python-systemd-235.gh.tar.gz 59858 BLAKE2B 8dbf112773dce4dfe9fb2b0e660a349481fa29c9532c5aa2d125e5bfc255b2408f63b5bd873b6fee9ebbad775ecfaf32497593b17052189797403fa31b05fd6f SHA512 f1286a477200cc7b4d2c44b43452da576e8e660925711466659795775bcee44796688e1ede6cc22e61cb5b03e631c396d22f9a133327ae1147506bce09bab47f

diff --git a/dev-python/python-systemd/python-systemd-235.ebuild b/dev-python/python-systemd/python-systemd-235.ebuild
new file mode 100644
index 000000000000..1d5b8750518a
--- /dev/null
+++ b/dev-python/python-systemd/python-systemd-235.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2015-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for native access to the systemd facilities"
+HOMEPAGE="https://github.com/systemd/python-systemd"
+SRC_URI="https://github.com/systemd/python-systemd/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+DEPEND="sys-apps/systemd:="
+RDEPEND="${DEPEND}
+	!sys-apps/systemd[python(-)]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+	# https://bugs.gentoo.org/690316
+	distutils-r1_python_compile -j1
+}
+
+python_test() {
+	unset NOTIFY_SOCKET
+	cd "${T}" || die
+	epytest --pyargs systemd -o cache_dir="${T}"
+}


             reply	other threads:[~2022-09-27 17:58 UTC|newest]

Thread overview: 61+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-27 17:57 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-17  5:14 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-systemd/ Sam James
2023-11-24  9:31 Sam James
2023-07-28 16:14 Michał Górny
2023-05-04 16:30 Michał Górny
2023-02-27  9:02 WANG Xuerui
2023-02-22 16:21 Sam James
2022-11-08  5:00 Jakov Smolić
2022-11-04  0:11 Sam James
2022-11-03 22:04 Sam James
2022-11-03 22:04 Sam James
2022-11-03 22:04 Sam James
2022-11-03 20:44 Arthur Zamarin
2022-11-03 19:44 Arthur Zamarin
2022-11-03 19:34 Arthur Zamarin
2022-05-20 22:46 Andreas K. Hüttel
2022-04-27  7:07 Michał Górny
2022-04-27  4:34 Arthur Zamarin
2022-03-18 12:24 Arthur Zamarin
2022-03-18  9:36 Arthur Zamarin
2022-03-18  8:04 Arthur Zamarin
2022-03-15 18:23 Jakov Smolić
2022-03-15 17:56 Jakov Smolić
2022-03-13  9:34 Michał Górny
2022-02-10 10:04 Sam James
2022-02-10 10:04 Sam James
2022-02-10 10:04 Sam James
2022-02-10 10:04 Sam James
2022-02-01 14:37 Michał Górny
2022-01-30 10:04 Michał Górny
2022-01-26  5:48 Sam James
2022-01-20 12:58 Arthur Zamarin
2022-01-20  9:46 Jakov Smolić
2022-01-20  9:46 Jakov Smolić
2020-12-13  2:30 Mike Gilbert
2020-11-20 13:44 Sam James
2020-04-16 18:05 Sergei Trofimovich
2020-04-15 22:59 Matt Turner
2020-03-29  9:40 Sergei Trofimovich
2020-03-29  9:34 Sergei Trofimovich
2020-03-14 18:22 Mikle Kolyada
2020-02-16 21:14 Thomas Deutschmann
2020-02-12 20:05 Sergei Trofimovich
2020-02-09  8:46 Mikle Kolyada
2020-02-09  1:25 Mike Gilbert
2020-02-05 20:47 Michał Górny
2019-08-04 17:11 Mike Gilbert
2019-07-18  9:21 Michał Górny
2017-12-23 18:21 Mike Gilbert
2017-12-23 18:21 Mike Gilbert
2017-10-05  4:34 Markus Meier
2017-02-28 12:29 Tobias Klausmann
2017-02-25 10:03 Agostino Sarubbo
2017-02-24 14:07 Agostino Sarubbo
2017-02-22 16:08 Agostino Sarubbo
2017-02-22 15:33 Agostino Sarubbo
2017-01-10 23:05 Mike Gilbert
2016-03-23 16:03 Mike Frysinger
2015-12-26 10:36 Agostino Sarubbo
2015-12-25 16:20 Agostino Sarubbo
2015-12-25 15:42 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1664301469.bb31860c1566203959295fdd019f56964b3a531d.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox